Subject: Re: bug#57082: 29.0.50; emacs-news-view-mode breakage

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 09 Aug 2022 20:23:48 +0200

Stephen Berman <[email-masked]> writes:

> The attached patch appears to fix the problems described above, but the
> only buffer using outline-minor-mode beside NEWS that I've tested it on
> is *Help* showing the output of describe-bindings, and the seems to work
> as expected with the patch (and due to the patch is not flagged as
> modified, though that isn't important for *Help*.)

Thanks; patch applied to Emacs 29.

The outline button stuff is still a work in progress, as you've found
out.  I'm not quite sure whether it should be switched on by default in
NEWS buffers -- it doesn't seem to bring much value there.  (As opposed
to in `describe-bindings', where it seems very helpful (since we're
starting out with some parts already folded.)

So I'm pondering whether to add an additional mechanism to say whether a
mode is "opting in" to the buttons or not, but I'm not sure what that
should look like.